button{
    cursor: pointer;
    border: 0;
    background-color: transparent;
    &:focus-visible{
        outline: 0;
    }
}
.btn-group {
    display: flex;
    flex-wrap: wrap;
    margin-top: rem(10);
    &.align-right {
        justify-content: flex-end;
    }
    .btn {
        & + .btn {
            margin-left: rem(10);
        }
    }
}

.sf-btn {
    height: rem(36);
    min-width: rem(56);
    border-radius: rem(3);
    font-size: rem(13);
    line-height: 1;
    padding: rem(9) rem(12);
    vertical-align: middle;
    cursor: pointer; 
    white-space: nowrap;

    //230724
    & + & {
        margin: 0 rem(5);
    }

    &.btn-outlined{
        background-color: $white;
        border: 1px solid $grey400;
    }

    &.btn-primary{
        background-color: $primary700;
        span {
            color: $white;
        }
    }
    &.btn-default {
        background-color: $white;
        border: 1px solid $grey300;
        color: #6d7079;
    }
    &.btn-grey {
        background-color: #fafafa;
        border: 1px solid $grey300;
        color: #6d7079;
    }
    &.btn-darkgrey {
        background-color: $grey800;
        border: 1px solid $grey800;
        color: $white;
    }
    &.btn-mint {
        background-color: $mint-blue;
        border: 1px solid $mint-blue;
        color: $white;
    }
    &.btn-mint-outline {
        background-color: $white;
        border: 1px solid $mint-blue;
        color: $mint-blue;
    }
    &.btn-large {
        padding: rem(12) rem(40);
    }
    &.btn-medium {
        height: rem(32);
        padding: rem(6) rem(5);
    }
    &.btn-small{
        min-width: auto;
        height: rem(28);
        padding: 0 rem(5);
        font-size: rem(12);
        line-height: rem(28);
    }
    &.btn-detail-assignment-search {
        padding-left: rem(36);
        background-repeat: no-repeat;
        background-position: rem(12) center;
        background-image: url('../img/ico-search.svg');
    }

    &.btn-icon{
        padding: rem(4);
        width: rem(28);
        min-width: rem(28);
        height: rem(28);
        line-height: 1; //230725

        .icon-minus{
            vertical-align: initial;
        }
    }
    &.btn-icon-lg{
        padding: rem(4);
        width: rem(32);
        min-width: rem(32);
        height: rem(32);
    }
    &.btn-icon-xlg{
        padding: rem(4);
        width: rem(32);
        min-width: rem(36);
        height: rem(36);
    }

    span{
        margin: 0 rem(3);
        vertical-align: middle;
        color: inherit;
    }
}

#btn-fold{
    position: relative;
    z-index: 10;
    i{
        transform: rotate(180deg);
    }

    &.open{
        i{
            transform: rotate(0deg);
        }
    }
}

#btn-fold-search{
    i{
        transform: rotate(180deg);
    }

    &.open{
        i{
            transform: rotate(0deg);
        }
    }
}

.btn-name-search {
    width: rem(46);
    height: rem(46);
    border: rem(1) solid $grey300;
    background-color: $white;
    border-radius: rem(5);
    background-repeat: no-repeat;
    background-position: center center;
    background-image: url('../img/ico-search-grey.png');
}

.btn-filter{
    width: rem(28);
    height: rem(32);
    border: 1px solid $grey300;
    border-radius: rem(2);
    background-color: #fff;
    text-align: center;
}

.btn-agenda-add{
    width: 3.75rem;
    height: 3.75rem;
    border-radius: 1rem;
    border: 0;
    background-color: #fff;
    font-size: 1.125rem;
    color: #6d7079;
    text-align: center;
}

.btn-search{
    width: 3.75rem;
    height: 3.75rem;
    border-radius: 1rem;
    border: 0;
    background-color: #fff;
    background-size: 18px auto;

    &:disabled{
        background-color: $grey100;
        .icon{
            opacity: .5;
        }
    }
}

.btn-grid-filter{
    width: rem(14);
    height: rem(14);
    border-radius: rem(2);
    padding: 0;
    line-height: rem(1);

    &:hover {
        background-color: $grey700;
        .icon-grid-filter{
            padding: 0;
            background-image: url('../img/ico-grid-filter-white.png');
        }
    }
}

.btn-del{
    opacity: .7;
    line-height: rem(14); //230724
    &:hover{
        opacity: 1;
    }
}

.btn-split{
    position: absolute;
    width: rem(40);
    height: rem(60);
    right: rem(0);
    top: rem(60); 
    background: #F7F9F8;
    border: 1px solid #DDE0DF;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.17), 0px 4px 5px rgba(0, 0, 0, 0.11);
    border-radius: 8px 0px 0px 8px;
    z-index: 5;
    &.hide{
        display: none;
    }
}

.btn-group{
    &>.btn{
        flex: 0 0 auto;
        padding: rem(5) rem(12);
    }
}